#bin/sh
Current_DIR=$(cd `dirname $0`; pwd)
delete_volume=$1

ns_index=$(sed -n '/deploy_namespace/=' $Current_DIR/values.yaml)
deploy_namespace=$(cat $Current_DIR/values.yaml | awk 'NR=='"$ns_index"'')
ns=${deploy_namespace: 18}
[[ -z "$ns" ]] && ns="giscloudsuite"

function deletebylabel(){
  kubectl delete deploy,daemonset,statefulset,job,configmap,service,serviceaccount,role,rolebinding,ingress,secret --ignore-not-found=true -l $@ -n $ns
  deleteClusterResource $@
}

function deleteClusterResource(){
  kubectl delete storageclass,clusterrole,clusterrolebinding --ignore-not-found=true -l $@
}

function deleteKnative() {
  if [[ -n $(kubectl explain ksvc 2>/dev/null) ]]; then
    kubectl delete ksvc -l $@ -n $ns
  fi
}

deletebylabel type=spark
deletebylabel type=postgis
deletebylabel type=hbase
deletebylabel type=hadoop-yarn
deletebylabel type=iserver-datacatalog
deletebylabel type=analysis
deletebylabel type=machine-learning
deletebylabel type=webprinting
deletebylabel type=geometry
deletebylabel type=hdfs
deletebylabel type=postgresql
deletebylabel type=kafka
deletebylabel kind=icloud-native-extension

if [[ "$delete_volume" == "-v" ]]; then
  deleteKnative type=geometry
  $Current_DIR/helm uninstall giscloudsuite -n $ns
  deletebylabel type=icloud-native
  deletebylabel kind=imanager-base
  kubectl delete pvc --ignore-not-found=true -l type=icloud-native -n $ns
  kubectl delete pvc --ignore-not-found=true -l kind=imanager-base -n $ns
  kubectl get pvc --ignore-not-found=true -n $ns | grep appset-storage-class-gisappset | awk '{print $1}' | xargs kubectl delete pvc -n $ns

  pvCount=`kubectl get pv --ignore-not-found=true | grep appset-storage-class-gisappset | grep . -c`
  if [[ $pvCount -gt 0 ]];then
    kubectl get pv --ignore-not-found=true | grep appset-storage-class-gisappset | awk '{print $1}' | xargs kubectl delete pv
  fi

  pvCount=`kubectl get pv --ignore-not-found=true  --no-headers=true -l kind=imanager-base | grep . -c`
  if [[ $pvCount -gt 0 ]];then
    kubectl get pv --ignore-not-found=true  --no-headers=true -l kind=imanager-base | awk '{print $1}' | xargs kubectl delete pv
  fi

  if [[ "$ns" != "default" && "$ns" != "kube-system" && "$ns" != "kube-public" ]]; then
    kubectl delete ns $ns
  fi
else
  deletebylabel type=icloud-native
  deletebylabel kind=imanager-base
fi
