{{- define "appset_id" -}}
1
{{- end }}
{{- define "deploy_kubernetes_master_url" -}}
  {{ .Values.deploy_kubernetes_master_url | default "https://kubernetes.default.svc" }}
{{- end -}}
{{- define "deploy_registry" -}}
  {{ .Values.deploy_registry | default "registry.cn-beijing.aliyuncs.com" }}
{{- end -}}
{{- define "deploy_nfs_server" -}}
  {{ .Values.deploy_nfs_server | default "none" }}
{{- end -}}
{{- define "deploy_nfs_path" -}}
  {{ .Values.deploy_nfs_path | default "/" }}
{{- end -}}
{{- define "deploy_service_protocol" -}}
  {{ .Values.deploy_service_protocol | default "http" }}
{{- end -}}
{{- define "deploy_image_pull_policy" -}}
  {{ .Values.deploy_image_pull_policy | default "IfNotPresent" }}
{{- end -}}
{{- define "deploy_image_pull_secret" -}}
  {{ .Values.deploy_image_pull_secret | default "none" }}
{{- end -}}
{{- define "deploy_keycloak_service_type" -}}
  {{ .Values.deploy_keycloak_service_type | default "NodePort" }}
{{- end -}}
{{- define "deploy_cpu_limit" -}}
  {{ .Values.deploy_cpu_limit | default "1" }}
{{- end -}}
{{- define "deploy_memory_limit" -}}
  {{ .Values.deploy_memory_limit | default "4Gi" }}
{{- end -}}
{{- define "deploy_gis_app_tag" -}}
  {{ .Values.deploy_gis_app_tag | default "latest" }}
{{- end -}}
{{- define "deploy_image_tag" -}}
  {{ .Values.deploy_image_tag | default "11.0.0-amd64" }}
{{- end -}}
{{- define "deploy_keycloak_port" -}}
  {{ .Values.deploy_keycloak_port | default "32221" }}
{{- end -}}
{{- define "deploy_gateway_port" -}}
  {{ .Values.deploy_gateway_port | default "32222" }}
{{- end -}}
{{- define "deploy_bslicense_ui_port" -}}
  {{ .Values.deploy_bslicense_ui_port | default "32223" }}
{{- end -}}
{{- define "deploy_disable_bslicense_local_volume" -}}
  {{ .Values.deploy_disable_bslicense_local_volume | default "false" }}
{{- end -}}
{{- define "deploy_disable_hbase_nfs_volume" -}}
  {{ .Values.deploy_disable_hbase_nfs_volume | default "false" }}
{{- end -}}
{{- define "deploy_timezone" -}}
  {{ .Values.deploy_timezone | default "Asia/Shanghai" }}
{{- end -}}
{{- define "bslicense_server" -}}
ws://bslicense-server.{{ .Release.Namespace }}.svc:9183
{{- end -}}
{{- define "bslicense_url" -}}
http://{{ .Values.deploy_kubernetes_public_ip }}:{{ template "deploy_bslicense_ui_port" . }}
{{- end -}}
{{- define "bslicense_storage_class" -}}
  {{- if not .Values.deploy_disable_bslicense_local_volume -}}
    pvc-bslicense-data
  {{- else if .Values.deploy_nfs_server -}}
    appset-storage-class-gisappset
  {{- else if .Values.deploy_storage_class_name -}}
    {{ .Values.deploy_storage_class_name }}
  {{- else -}}
    pvc-bslicense-data
  {{- end -}}
{{- end -}}
{{- define "ispeco_grafana_url" -}}
none
{{- end -}}
{{- define "elasticsearch_cluster_name" -}}
kubernetes-logging
{{- end }}
{{- define "elasticsearch_address" -}}
elasticsearch
{{- end }}
{{- define "elasticsearch_restport" -}}
9200
{{- end }}
{{- define "grafana_service" -}}
grafana
{{- end }}
{{- define "kibana_basepath" -}}
/kibana
{{- end }}
{{- define "appset_name" -}}
giscloudsuite
{{- end }}
{{- define "alert_manager_url" -}}
none
{{- end }}
{{- define "prometheus_url" -}}
http://prometheus:9090
{{- end }}
{{- define "elasticsearch_url" -}}
http://elasticsearch:9300
{{- end }}
{{- define "grafana_url" -}}
http://grafana:3000/manager/grafana
{{- end }}
{{- define "keycloak_port" -}}
  {{- if eq (or .Values.deploy_service_protocol "http") "https" -}}
  8443
  {{- else -}}
  8080
  {{- end }}
{{- end }}
{{- define "keycloak_url" -}}
  {{- if .Values.deploy_keycloak_domain -}}
  {{ template "deploy_service_protocol" . }}://{{ .Values.deploy_keycloak_domain }}
  {{- else -}}
  {{ template "deploy_service_protocol" . }}://{{ .Values.deploy_kubernetes_public_ip }}:{{ template "deploy_keycloak_port" . }}
  {{- end }}
{{- end }}
{{- define "keycloak_auth_url" -}}
  {{ template "keycloak_url" . }}/auth
{{- end }}
{{- define "keycloak_domain_ingress" -}}
  {{ .Values.deploy_keycloak_domain | default "none" }}
{{- end -}}
{{- define "keycloak_token_timeout_second" -}}
  {{ .Values.deploy_keycloak_token_timeout_second | default "1800" }}
{{- end -}}
{{- define "gateway_url" -}}
  {{- if .Values.deploy_gateway_domain -}}
    {{ template "deploy_service_protocol" . }}://{{ .Values.deploy_gateway_domain }}
  {{- else -}}
    none
  {{- end -}}
{{- end -}}
{{- define "gateway_domain_ingress" -}}
  {{ .Values.deploy_gateway_domain | default "none" }}
{{- end -}}
{{- define "gateway_address_reg" -}}
  {{- if .Values.deploy_gateway_domain -}}
    {{ template "deploy_service_protocol" . }}://{{ .Values.deploy_gateway_domain }}
  {{- else -}}
    {{ template "deploy_service_protocol" . }}://{{ .Values.deploy_kubernetes_public_ip }}:${NODE_PORT}
  {{- end -}}
{{- end -}}
{{- define "proxy_port" -}}
  {{- if .Values.deploy_gateway_domain -}}
    {{- if eq (include "deploy_service_protocol" .) "https" }}
      443
    {{- else -}}
      80
    {{- end -}}
  {{- else -}}
    {{ include "deploy_gateway_port" . }}
  {{- end -}}
{{- end -}}
{{- define "proxy_server_root_url" -}}
  {{- if .Values.deploy_gateway_domain -}}
    {{ include "deploy_service_protocol" . }}://{{ .Values.deploy_gateway_domain }}
  {{- end -}}
{{- end -}}
{{- define "gateway_ssl_enable" -}}
  {{- if eq (or .Values.deploy_service_protocol "http") "https" -}}
    true
  {{- else -}}
    false
  {{- end }}
{{- end -}}
{{- define "gateway_scheme" -}}
  {{- if eq (or .Values.deploy_service_protocol "http") "https" -}}
    HTTPS
  {{- else -}}
    HTTP
  {{- end }}
{{- end -}}
{{- define "deploy_disable_iportal" -}}
  {{ .Values.deploy_disable_iportal | default "false" }}
{{- end -}}
{{- define "storage_class_name" -}}
  {{- if .Values.deploy_nfs_server -}}
    appset-storage-class-gisappset
  {{- else if .Values.deploy_storage_class_name -}}
    {{ .Values.deploy_storage_class_name }}
  {{- else -}}
    appset-storage-class-gisappset
  {{- end -}}
{{- end -}}
{{- define "deploy_domain_ip" -}}
  {{ .Values.deploy_domain_ip | default .Values.deploy_kubernetes_public_ip }}
{{- end -}}
{{- define "deploy_image_namespace" -}}
  {{ .Values.deploy_image_namespace | default "supermap" }}
{{- end -}}
{{- define "deploy_ispeco_password" -}}
  {{ "Supermap123" | b64enc }}
{{- end -}}
{{- define "deploy_async_function_enabled" -}}
  {{ .Values.deploy_async_function_enabled | default "false" }}
{{- end -}}
{{- define "deploy_sync_function_enabled" -}}
  {{ .Values.deploy_sync_function_enabled | default "false" }}
{{- end -}}